libgimpprint API Reference: include/gimp-print/sequence.h Source File

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# include/gimp-print/sequence.h

Go to the documentation of this file.

    00001 /*
    00002  * "$Id: sequence_8h-source.html,v 1.1.1.2 2004/12/22 23:49:12 jlovell Exp $"
    00003  *
    00004  *   libgimpprint sequence functions.
    00005  *
    00006  *   Copyright 2003 Roger Leigh (rleigh@debian.org)
    00007  *
    00008  *   This program is free software; you can redistribute it and/or modify it
    00009  *   under the terms of the GNU General Public License as published by the Free
    00010  *   Software Foundation; either version 2 of the License, or (at your option)
    00011  *   any later version.
    00012  *
    00013  *   This program is distributed in the hope that it will be useful, but
    00014  *   WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    00015  *   or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
    00016  *   for more details.
    00017  *
    00018  *   You should have received a copy of the GNU General Public License
    00019  *   along with this program; if not, write to the Free Software
    00020  *   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
    00021  */
    00022
    00028 /*
    00029  * This file must include only standard C header files.  The core code must
    00030  * compile on generic platforms that don't support glib, gimp, gimpprint, etc.
    00031  */
    00032
    00033 #ifndef GIMP_PRINT_SEQUENCE_H
    00034 #define GIMP_PRINT_SEQUENCE_H
    00035
    00036 #ifdef __cplusplus
    00037 extern "C" {
    00038 #endif
    00039
    00040
    00048 struct stp_sequence;
    00050 typedef struct stp_sequence stp_sequence_t;
    00051
    00056 extern stp_sequence_t *stp_sequence_create(void);
    00057
    00063 extern void stp_sequence_destroy(stp_sequence_t *sequence);
    00064
    00072 extern void stp_sequence_copy(stp_sequence_t *dest,
    00073                               const stp_sequence_t *source);
    00074
    00083 extern stp_sequence_t *stp_sequence_create_copy(const stp_sequence_t *sequence);
    00084
    00095 extern int stp_sequence_set_bounds(stp_sequence_t *sequence,
    00096                                    double low, double high);
    00097
    00106 extern void stp_sequence_get_bounds(const stp_sequence_t *sequence,
    00107                                     double *low, double *high);
    00108
    00109
    00118 extern void stp_sequence_get_range(const stp_sequence_t *sequence,
    00119                                    double *low, double *high);
    00120
    00129 extern int stp_sequence_set_size(stp_sequence_t *sequence, size_t size);
    00130
    00135 extern size_t stp_sequence_get_size(const stp_sequence_t *sequence);
    00136
    00145 extern int stp_sequence_set_data(stp_sequence_t *sequence,
    00146                                  size_t count,
    00147                                  const double *data);
    00148
    00159 extern int stp_sequence_set_subrange(stp_sequence_t *sequence,
    00160                                      size_t where, size_t size,
    00161                                      const double *data);
    00162
    00177 extern void stp_sequence_get_data(const stp_sequence_t *sequence,
    00178                                   size_t *size, const double **data);
    00179
    00187 extern int stp_sequence_set_point(stp_sequence_t *sequence,
    00188                                   size_t where, double data);
    00189
    00197 extern int stp_sequence_get_point(const stp_sequence_t *sequence,
    00198                                   size_t where, double *data);
    00199
    00200
    00209 extern int stp_sequence_set_float_data(stp_sequence_t *sequence,
    00210                                        size_t count, const float *data);
    00211
    00220 extern int stp_sequence_set_long_data(stp_sequence_t *sequence,
    00221                                       size_t count, const long *data);
    00222
    00231 extern int stp_sequence_set_ulong_data(stp_sequence_t *sequence,
    00232                                        size_t count, const unsigned long *data);
    00233
    00242 extern int stp_sequence_set_int_data(stp_sequence_t *sequence,
    00243                                      size_t count, const int *data);
    00244
    00253 extern int stp_sequence_set_uint_data(stp_sequence_t *sequence,
    00254                                       size_t count, const unsigned int *data);
    00255
    00264 extern int stp_sequence_set_short_data(stp_sequence_t *sequence,
    00265                                        size_t count, const short *data);
    00266
    00275 extern int stp_sequence_set_ushort_data(stp_sequence_t *sequence,
    00276                                         size_t count, const unsigned short *data);
    00277
    00290 extern const float *stp_sequence_get_float_data(const stp_sequence_t *sequence,
    00291                                                 size_t *count);
    00292
    00305 extern const long *stp_sequence_get_long_data(const stp_sequence_t *sequence,
    00306                                               size_t *count);
    00307
    00320 extern const unsigned long *stp_sequence_get_ulong_data(const stp_sequence_t *sequence,
    00321                                                         size_t *count);
    00322
    00335 extern const int *stp_sequence_get_int_data(const stp_sequence_t *sequence,
    00336                                             size_t *count);
    00337
    00350 extern const unsigned int *stp_sequence_get_uint_data(const stp_sequence_t *sequence,
    00351                                                       size_t *count);
    00352
    00365 extern const short *stp_sequence_get_short_data(const stp_sequence_t *sequence,
    00366                                                 size_t *count);
    00367
    00380 extern const unsigned short *stp_sequence_get_ushort_data(const stp_sequence_t *sequence,
    00381                                                           size_t *count);
    00382
    00385 #ifdef __cplusplus
    00386   }
    00387 #endif
    00388
    00389 #endif /* GIMP_PRINT_SEQUENCE_H */